com.io7m.jregions.core.unparameterized.sizes

## Class AreaSizeBD

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.AreaSizeBD

- All Implemented Interfaces:
    AreaSizeBDType, AreaSizeValuesBDType

      @Generated(value={"Immutables.generator","AreaSizeBDType"})
      public final class AreaSizeBD
      extends Object
      implements AreaSizeBDType

  The size of an area with `BigDecimal` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AreaSizeBD.Builder` Builds instances of type `AreaSizeBD`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AreaSizeBD.Builder` | `builder()` Creates a builder for `AreaSizeBD`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `AreaSizeBD` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `width`, `height`.
    `BigDecimal` | `height()`
    `static AreaSizeBD` | `of(BigDecimal width, BigDecimal height)` Construct a new immutable `AreaSizeBD` instance.
    `String` | `toString()` Prints the immutable value `AreaSizeBD` with attribute values.
    `BigDecimal` | `width()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.sizes.AreaSizeBDType

      `checkPreconditions`

- - ### Method Detail

    - #### width

          public BigDecimal width()

      Specified by:
        `width` in interface `AreaSizeBDType`
      Specified by:
        `width` in interface `AreaSizeValuesBDType`
      Returns:
        The value of the `width` attribute

    - #### height

          public BigDecimal height()

      Specified by:
        `height` in interface `AreaSizeBDType`
      Specified by:
        `height` in interface `AreaSizeValuesBDType`
      Returns:
        The value of the `height` attribute

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `AreaSizeBD` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `width`, `height`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `AreaSizeBD` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static AreaSizeBD of(BigDecimal width,
                                      BigDecimal height)

      Construct a new immutable `AreaSizeBD` instance.
      Parameters:
        `width` - The value for the `width` attribute
        `height` - The value for the `height` attribute
      Returns:
        An immutable AreaSizeBD instance

    - #### builder

          public static AreaSizeBD.Builder builder()

      Creates a builder for `AreaSizeBD`.
      Returns:
        A new AreaSizeBD builder

Copyright © 2017 <code@io7m.com> http://io7m.com